Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.cls
Class ClassTreeWithBrowserTextNode

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protegex.owl.ui.cls.ClassTreeWithBrowserTextNode

All Implemented Interfaces:
  TreeNode

    public class ClassTreeWithBrowserTextNode

extends edu.stanford.smi.protege.util.LazyTreeNode

Constructor Summary
`ClassTreeWithBrowserTextNode(edu.stanford.smi.protege.util.LazyTreeNode parentNode, edu.stanford.smi.protege.util.FrameWithBrowserText userObj)`

Method Summary
`protected void` | `attachListener(edu.stanford.smi.protege.model.Cls cls)`
`protected edu.stanford.smi.protege.util.FrameWithBrowserText` | `createFrameWithBrowserText(edu.stanford.smi.protege.model.Frame frame)`
`protected edu.stanford.smi.protege.util.LazyTreeNode` | `createNode(Object o)`
`protected void` | `detachListeners(edu.stanford.smi.protege.model.Cls cls)`
`protected void` | `dispose()`
`protected int` | `getChildObjectCount()`
`protected Collection<edu.stanford.smi.protege.util.FrameWithBrowserText>` | `getChildObjects()`
`edu.stanford.smi.protege.model.Cls` | `getCls()`
`protected Comparator` | `getComparator()`
`protected Collection<edu.stanford.smi.protege.util.FrameWithBrowserText>` | `getLocalChildren(edu.stanford.smi.protege.model.Cls cls, boolean showHidden)`
`protected void` | `notifyNodeChanged()`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, notifyChildNodeAdded, notifyChildNodeRemoved, notifyNodeChanged, notifyNodeStructureChanged, reload, reload, setIsLoaded, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassTreeWithBrowserTextNode

    public ClassTreeWithBrowserTextNode(edu.stanford.smi.protege.util.LazyTreeNode parentNode,
                                        edu.stanford.smi.protege.util.FrameWithBrowserText userObj)

Method Detail

### attachListener

    protected void attachListener(edu.stanford.smi.protege.model.Cls cls)

### detachListeners

    protected void detachListeners(edu.stanford.smi.protege.model.Cls cls)

### notifyNodeChanged

    protected void notifyNodeChanged()

### createFrameWithBrowserText

    protected edu.stanford.smi.protege.util.FrameWithBrowserText createFrameWithBrowserText(edu.stanford.smi.protege.model.Frame frame)

### getChildObjects

    protected Collection<edu.stanford.smi.protege.util.FrameWithBrowserText> getChildObjects()

  Specified by:
    `getChildObjects` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### createNode

    protected edu.stanford.smi.protege.util.LazyTreeNode createNode(Object o)

  Specified by:
    `createNode` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getChildObjectCount

    protected int getChildObjectCount()

  Specified by:
    `getChildObjectCount` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getLocalChildren

    protected Collection<edu.stanford.smi.protege.util.FrameWithBrowserText> getLocalChildren(edu.stanford.smi.protege.model.Cls cls,
                                                                                              boolean showHidden)

### getComparator

    protected Comparator getComparator()

  Specified by:
    `getComparator` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getCls

    public edu.stanford.smi.protege.model.Cls getCls()

### dispose

    protected void dispose()

  Overrides:
    `dispose` in class `edu.stanford.smi.protege.util.LazyTreeNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.